<?php
/*---------------------------------------------------+
| PHP-Fusion 6 Content Management System
+----------------------------------------------------+
| Copyright  2002 - 2006 Nick Jones
| http://www.php-fusion.co.uk/
+----------------------------------------------------+
| Released under the terms & conditions of v2 of the
| GNU General Public License. For details refer to
| the included gpl.txt file or visit http://gnu.org
+----------------------------------------------------+
| Download Management Infusion v1.00
| Based on the File Uploads Infusion by Digitanium
| Author: mistermartin75   
+----------------------------------------------------+         
| Please visit http://www.gnummep.co.uk for more
| or refer to the README_EN file
+----------------------------------------------------*/
require_once "../../maincore.php";
require_once BASEDIR."subheader.php";
require_once ADMIN."navigation.php";
include LOCALE.LOCALESET."admin/downloads.php";

if (file_exists(INFUSIONS."download_management/locale/".$settings['locale'].".php")) {
	include INFUSIONS."download_management/locale/".$settings['locale'].".php";
} else {
	include INFUSIONS."download_management/locale/English.php";
}

if (!checkrights("IP")) fallback("../index.php");

// Settings
$upload_maxsize = 2097152;
$upload_extensions = array(
	".exe",
	".zip",
	".rar",
	".tar",
	".jpg",
	".gif",
	".png",
	".psd"
);
$upload_folder = BASEDIR."downloads/";

if (isset($del)) {
	// Delete from database
	$download_id = $_GET['download_id'];
	$result = dbquery("DELETE FROM ".$db_prefix."downloads WHERE download_id='$download_id'");
	// Delete from database
	unlink($upload_folder."$del");
	opentable($locale['fup110']);
	echo "<center><br>
	".$locale['fup111']."<br><br>
	<a href='".FUSION_SELF."'>".$locale['fup112']."</a><br><br>
	<a href='".ADMIN."index.php'>".$locale['fup113']."</a><br><br>
	</center>\n";
	closetable();
} else if (isset($_POST['upload_file'])) {
	$upload = $_FILES['upload'];
	if ($upload['name'] != "" && !empty($upload['name']) && is_uploaded_file($upload['tmp_name']) && $upload['size'] <= $upload_maxsize) {
		$upload_ext = strrchr($upload['name'],".");
		if (in_array($upload_ext, $upload_extensions)) {
			$upload_name = $upload['name'];
			move_uploaded_file($upload['tmp_name'], $upload_folder.$upload_name);
			chmod($upload_folder.$upload_name,0644);
			// Save download code
				$download_title = stripinput($_POST['download_title']);
				$download_description = addslash($_POST['download_description']);
				$download_url = $upload_folder.$upload_name;
				$download_license = stripinput($_POST['download_license']);
				$download_os = stripinput($_POST['download_os']);
				$download_version = stripinput($_POST['download_version']);
				$download_filesize = $upload['size'];
				$result = dbquery("INSERT INTO ".$db_prefix."downloads (download_title, download_description, download_url, download_cat, download_license, download_os, download_version, download_filesize, download_datestamp, download_count) VALUES ('$download_title', '$download_description', '$download_url', '$download_cat', '$download_license', '$download_os', '$download_version', '$download_filesize', '".time()."', '0')");
			// Save download code
		} else {
			$upload_error = $locale['fup124'];
		}
	} else {
		$upload_error = $locale['fup125'];
	}
	opentable($locale['fup130']);
	echo "<center><br>
	".(!isset($upload_error) ? $locale['fup123'] : $upload_error)."<br><br>
	<a href='".FUSION_SELF."'>".$locale['fup112']."</a><br><br>
	<a href='".ADMIN."index.php'>".$locale['fup113']."</a><br><br>
	</center>\n";
	closetable();
} else {
	opentable($locale['fup120']);
	// Add download code
	$download_title = "";
	$download_description = "";
	$download_url = "";
	$download_license = "";
	$download_os = "";
	$download_version = "";
	$download_filesize = "";
	$formaction = FUSION_SELF;
	
	$result = dbquery("SELECT * FROM ".$db_prefix."download_cats ORDER BY download_cat_name");
	if (dbrows($result) != 0) {
		while ($data = dbarray($result)) {
			$editlist .= "<option value='".$data['download_cat_id']."'>".$data['download_cat_name']."</option>\n";
		}
	}
	echo "
	<form name='inputform' method='post' action='$formaction'  enctype='multipart/form-data'>
	<table align='center' cellpadding='0' cellspacing='0' width='460'>
	<tr>
	<td width='80' class='tbl'>".$locale['fup121']."</td>
	<td class='tbl'><input type='file' name='upload' class='textbox' style='width:380px;'></td>
	</tr>
	<tr>
	<td align='center' colspan='2' class='tbl'>
	".$locale['fup122'].parseByteSize($upload_maxsize)."</td>
	</tr>
	<tr>
	<td width='80' class='tbl'>".$locale['480']."</td>
	<td class='tbl'><input type='text' name='download_title' value='$download_title' class='textbox' style='width:380px;'></td>
	</tr>
	<tr>
	<td valign='top' width='80' class='tbl'>".$locale['481']."</td>
	<td class='tbl'><textarea name='download_description' rows='5' class='textbox' style='width:380px;'>".$download_description."</textarea></td>
	</tr>
	<tr>
	<td class='tbl'></td><td class='tbl'>
	<input type='button' value='b' class='button' style='font-weight:bold;width:25px;' onClick=\"addText('download_description', '<b>', '</b>');\">
	<input type='button' value='i' class='button' style='font-style:italic;width:25px;' onClick=\"addText('download_description', '<i>', '</i>');\">
	<input type='button' value='u' class='button' style='text-decoration:underline;width:25px;' onClick=\"addText('download_description', '<u>', '</u>');\">
	<input type='button' value='link' class='button' style='width:35px' onClick=\"addText('download_description', '<a href=\'', '\' target=\'_blank\'>Link</a>');\">
	<input type='button' value='img' class='button' style='width:35px' onClick=\"addText('download_description', '<img src=\'', '\' style=\'margin:5px\' align=\'left\'>');\">
	<input type='button' value='center' class='button' style='width:45px' onClick=\"addText('download_description', '<center>', '</center>');\">
	<input type='button' value='small' class='button' style='width:40px' onClick=\"addText('download_description', '<span class=\'small\'>', '</span>');\">
	<input type='button' value='small2' class='button' style='width:45px' onClick=\"addText('download_description', '<span class=\'small2\'>', '</span>');\">
	<input type='button' value='alt' class='button' style='width:25px' onClick=\"addText('download_description', '<span class=\'alt\'>', '</span>');\"><br>
	</td>
	</tr>
	<tr>
	<td width='80' class='tbl'>".$locale['483']."</td>
	<td class='tbl'><select name='download_cat' class='textbox'>
	$editlist</select></td>
	</tr>
	<tr>
	<td width='80' class='tbl'>".$locale['484']."</td>
	<td class='tbl'><input type='text' name='download_license' value='$download_license' class='textbox' style='width:150px;'></td>
	</tr>
	<tr>
	<td width='80' class='tbl'>".$locale['485']."</td>
	<td class='tbl'><input type='text' name='download_os' value='$download_os' class='textbox' style='width:150px;'></td>
	</tr>
	<tr>
	<td width='80' class='tbl'>".$locale['486']."</td>
	<td class='tbl'><input type='text' name='download_version' value='$download_version' class='textbox' style='width:150px;'></td>
	</tr>
	<tr>
	<td align='center' colspan='2' class='tbl'>";
	echo "<input type='submit' name='upload_file' value='".$locale['488']."' class='button'></td>
	</tr>
	</table>
	</form>\n";
	closetable();
	// Add download code
	// List files
	tablebreak();
	opentable($locale['fup130']);
	
	echo "<table width='500' align='center' cellpadding='0' cellspacing='1' class='tbl-border'>
	<tr>
	<td class='tbl2'>".$locale['fup131']."</td>
	<td class='tbl2'>".$locale['fup132']."</td>
	<td align='right' class='tbl2'>".$locale['fup133']."</td>
	</tr>\n";
	$result2 = dbquery("SELECT * FROM ".$db_prefix."downloads ORDER BY download_url");
	$file_list = makefilelist($upload_folder, ".|..|index.php", true);
	if (!isset($file_list)) { $file_count = 0; } else { $file_count = count($file_list); }
	for ($i=0;$i < $file_count;$i++) {
			$result2 = dbquery("SELECT * FROM ".$db_prefix."downloads WHERE download_url = '../../downloads/".$file_list[$i]."';");
			$data2 = dbarray($result2);
			$file_size = filesize($upload_folder.$file_list[$i]);
			if ($i % 2 == 0) { $row_color = "tbl1"; } else { $row_color = "tbl2"; }
			echo "<tr>
			<td class='$row_color'>$file_list[$i] (".$data2['download_id'].")</td>
			<td class='$row_color'>".($file_size > 0 ? parseByteSize($file_size) : "-----")."</td>
			<td align='right' class='$row_color'><a href='".FUSION_SELF."?del=$file_list[$i]&amp;download_id=".$data2['download_id']."'>".$locale['fup134']."</a></td>
			</tr>\n";

	}
	echo "</table>\n";
	closetable();
	// List files
}

echo "</td>\n";
require_once BASEDIR."footer.php";
?>